cURL
curl -i -X POST "https://api.box.com/2.0/automate_workflows/12345/start" \
-H "box-version: 2026.0" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"workflow_action_id": "981",
"file_ids": ["123"]
}'admin_client.automate_workflows.create_automate_workflow_start_v2026_r0(
workflow_action.workflow.id, workflow_action.id, [workflow_file_id]
)await adminClient.automateWorkflows.createAutomateWorkflowStartV2026R0(
workflowAction.workflow.id,
{
workflowActionId: workflowAction.id,
fileIds: [workflowFileId],
} satisfies AutomateWorkflowStartRequestV2026R0,
);try await adminClient.automateWorkflows.createAutomateWorkflowStartV2026R0(workflowId: workflowAction.workflow.id, requestBody: AutomateWorkflowStartRequestV2026R0(workflowActionId: workflowAction.id, fileIds: [workflowFileId]))adminClient.getAutomateWorkflows().createAutomateWorkflowStartV2026R0(workflowAction.getWorkflow().getId(), new AutomateWorkflowStartRequestV2026R0(workflowAction.getId(), Arrays.asList(workflowFileId)))await adminClient.AutomateWorkflows.CreateAutomateWorkflowStartV2026R0Async(workflowId: workflowAction.Workflow.Id, requestBody: new AutomateWorkflowStartRequestV2026R0(workflowActionId: workflowAction.Id, fileIds: Array.AsReadOnly(new [] {workflowFileId})));{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}Automateワークフロー
Automateワークフローを開始
ワークフローのアクションIDとファイルIDを使用して、Automateワークフローを手動で開始します。
POST
/
automate_workflows
/
{workflow_id}
/
start
cURL
curl -i -X POST "https://api.box.com/2.0/automate_workflows/12345/start" \
-H "box-version: 2026.0" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"workflow_action_id": "981",
"file_ids": ["123"]
}'admin_client.automate_workflows.create_automate_workflow_start_v2026_r0(
workflow_action.workflow.id, workflow_action.id, [workflow_file_id]
)await adminClient.automateWorkflows.createAutomateWorkflowStartV2026R0(
workflowAction.workflow.id,
{
workflowActionId: workflowAction.id,
fileIds: [workflowFileId],
} satisfies AutomateWorkflowStartRequestV2026R0,
);try await adminClient.automateWorkflows.createAutomateWorkflowStartV2026R0(workflowId: workflowAction.workflow.id, requestBody: AutomateWorkflowStartRequestV2026R0(workflowActionId: workflowAction.id, fileIds: [workflowFileId]))adminClient.getAutomateWorkflows().createAutomateWorkflowStartV2026R0(workflowAction.getWorkflow().getId(), new AutomateWorkflowStartRequestV2026R0(workflowAction.getId(), Arrays.asList(workflowFileId)))await adminClient.AutomateWorkflows.CreateAutomateWorkflowStartV2026R0Async(workflowId: workflowAction.Workflow.Id, requestBody: new AutomateWorkflowStartRequestV2026R0(workflowActionId: workflowAction.Id, fileIds: Array.AsReadOnly(new [] {workflowFileId})));{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}「Box SDKのバージョニング戦略について詳しく学ぶ。」
承認
The access token received from the authorization server in the OAuth 2.0 flow.
ヘッダー
Version header.
利用可能なオプション:
2026.0 パスパラメータ
ワークフローのID。
ボディ
application/json
レスポンス
ワークフローを開始します。
最終更新日 2026年5月20日
このページは役に立ちましたか?
⌘I
